candidates
List candidates candidates
Requires scopes: eval:read
GET
/
api
/
candidates
List candidates candidates
curl --request GET \
--url https://evalgate.com/api/candidates \
--header 'Authorization: Bearer <token>'import requests
url = "https://evalgate.com/api/candidates"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://evalgate.com/api/candidates', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"candidates": [
{
"id": 123,
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"failureReportId": 123,
"traceId": 123,
"title": "<string>",
"tags": [
"<string>"
],
"sourceTraceIds": [
"<string>"
],
"expectedConstraints": [
{
"type": "<string>",
"value": true,
"required": true,
"description": "<string>"
}
],
"minimizedInput": {
"userPrompt": "<string>",
"systemPrompt": "<string>",
"activeTools": [
"<string>"
],
"conversationContext": [
{
"role": "user",
"content": "<string>"
}
],
"failureSpanId": "<string>",
"failureOutput": "<string>",
"metadata": {},
"agentWorkflow": {
"version": 1,
"workflowClass": "approval_gated_mutation",
"autonomyLevel": "manual",
"approvalMode": "human_review",
"riskLevel": "low",
"memoryMode": "session",
"backgroundExecution": true,
"requiresCheckpoint": true,
"expectedHandoff": true,
"requiredHooks": [
"session_start"
],
"activeTools": [
"<string>"
],
"permissionScope": {
"filesystem": [
"<string>"
],
"network": "open",
"externalSystems": [
"<string>"
],
"mutatesState": false
},
"expectedFailureModes": [
"<string>"
],
"scenario": "<string>",
"provenance": {
"source": "manual",
"evaluationId": 123,
"runId": 123,
"testCaseId": 123,
"traceId": "<string>"
}
},
"workflowExperimentRecipe": {
"version": 1,
"title": "<string>",
"objective": "<string>",
"workflowClass": "approval_gated_mutation",
"source": "coverage_gap",
"linkedFailureModes": [
"<string>"
],
"linkedTestCaseIds": [
123
],
"comparedVariants": [
{
"id": "<string>",
"label": "<string>",
"changes": [
"<string>"
],
"expectedImpact": "<string>",
"autonomyLevel": "manual",
"approvalMode": "human_review",
"memoryMode": "session",
"hooks": [
"session_start"
]
}
],
"successMetrics": [
"<string>"
],
"guardrails": [
"<string>"
],
"recommendedIterations": 123,
"rationale": "<string>"
}
},
"evalCaseId": "<string>",
"qualityScore": 123,
"qualityVerdict": "<string>",
"autoPromoteEligible": true,
"status": "<string>",
"lifecycleState": "<string>",
"evaluationId": 123,
"dedupeHash": "<string>",
"similarityGroupId": "<string>",
"piiExposureScore": 123,
"piiDominantType": "<string>",
"reviewDecisionId": 123,
"reviewRationale": "<string>",
"editedFields": {},
"rejectionReason": "<string>",
"duplicateOf": 123,
"provenance": {
"sourceTraceId": "<string>",
"sourceSpanId": "<string>",
"sourceToolCallId": "<string>",
"sourceRunId": "<string>",
"sourceTestResultId": "<string>",
"sourceFailureMode": "<string>",
"sourceClusterId": "<string>",
"modelCallId": "<string>",
"promptVersion": "<string>",
"generatorVersion": "<string>",
"dedupeHash": "<string>",
"similarityGroupId": "<string>"
},
"rationale": "<string>",
"promotedToEvaluationId": 123,
"reviewedBy": "<string>",
"reviewedAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z"
}
],
"limit": 123,
"offset": 123
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Required range:
1 <= x <= 1000Required range:
x >= 0⌘I
List candidates candidates
